%
%	ARRAY_LM.M
%
%	This program is used by DOAESTM.M and it defines the array setup.
%
%	Miguel A. Lagunas			October 1995
%
%..........................................................................
disp('----------------------------------------------------------------------');
% 	central frequency and propagation velocity with wavelength equal one
fc=0.5;c=fc;
%___________________________________________________________________________
% 	distances from the phase center in wavelengths of the array sensors
d=[0 0.5 1 1.5 2 2.5 3 3.5];
%___________________________________________________________________________
% 	assuming a planar aperture. azimuth of every sensor
fisen=[0 0 0 0 0 0 0 0];
%___________________________________________________________________________
% 	number of snapshots to be processed
% RECOMENDADO nsnap=4000;
nsnap=4000;
%___________________________________________________________________________
s=['The number of snapshots is ...' num2str(nsnap)];disp(s);
% 	include file with source information
sou_lm;
%___________________________________________________________________________
% 	check data
inp=1;nq=length(d);
for i=1:nq;
  if fisen(i)>360;
    disp('revise sensors azimuth <0 and <360');inp=0;
  elseif fisen(i)<0;
    disp('revise sensors azimuth <0 and <360');inp=0;
  end;
end;
if inp==0;
	disp('ERROR Check data file array_lm.m. Program stop');break;
end;
if length(fisen)==length(d);
   inp=1;
else
   disp('#sensors and azimuths of them must be equal');inp=0;
end;
if inp==0;
	disp('ERROR Check data file array_lm.m. Program stop');break;
end;inp=0;
if length(soulev)==length(fresou);
  if length(soulev)==length(souele);
    if length(souele)==length(souazi);
      if length(souelev)==length(fresou);
        if length(souaziv)==length(souazi);
              nsou=length(soulev);s=['The number of sources is...' num2str(nsou)]; 
              disp(s);inp=1;
        end;
      end;
    end
  end
end
if inp==0;
	disp('ERROR Check data file sou_lm.m. Program stop');break;
end;
%___________________________________________________________________________
%	display in command window summary of the scenario
for i=1:nsou
  s=['Source #' num2str(i) '--> ' num2str(soulev(i)) 'dB ' num2str(souele(i))...
 '  elevation ' num2str(souazi(i)) '  azimuth'];
  disp(s);s=['The velocity in elevation is  ' num2str(souelev(i)) ' /snap'];
  disp(s);s=['The velocity in azimuth is  ' num2str(souaziv(i)) ' /snap'];
end;
if length(d)==length(fisen)
        nsen=length(d);
        s=['The number of sensors is......' num2str(nsen)];
	disp(s);
end;
%..............................................................................
