%
%	ARRAY_CM.M
%
%	This file defines a planar aperture to be used by program doaestm.m
%
%	Miguel A. Lagunas			February 1996
%
%................................................................................
% Central frequency and velocity of propagation
fc=0.5;c=0.5;
%________________________________________________________________________________
% distance of sensors in wavelengths to the phase center
d=[1 1 1 1 1 1 1 1 1 0.5 0.5 0.5 0.5];
%________________________________________________________________________________
% aziomuth of sensors in degrees
fisen=[0 40 80 120 160 200 240 280 320 45 135 225 315];
%________________________________________________________________________________
% number of snapshots to be managed by the main program
% RECOMENDADO nsnap=3000;
nsnap=3000;
s=['The number of snapshots is...' num2str(nsnap)];disp(s);
%________________________________________________________________________________
% charge source information file
sou_cm;
%________________________________________________________________________________
% chek main parameters
if length(soulev)==length(fresou)
        if length(soulev)==length(souele)
                if length(souele)==length(souazi)
                        nsou=length(soulev);
                        s=['The number of sources is...' num2str(nsou)]; 
                        disp(s)
                end
        end
end
for i=1:nsou
  s=['Source #' num2str(i) '--> ' num2str(soulev(i)) 'dB ' num2str(souele(i))...
 '  elevation ' num2str(souazi(i)) '  azimuth'];
  disp(s);
  s=['   Elevation velocity ' num2str(souelev(i)) ' /snapshot'];disp(s);
  s=['   Azimuth velocity ' num2str(souaziv(i)) ' /snapshot'];disp(s);
end;
if length(d)==length(fisen)
        nsen=length(d);
        s=['The number of sensors is...' num2str(nsen)]; 
        disp(s)
end
%__________________________________________________________________________________