%
%	Program SOU_CM.M
%
%	This program is used by ARRAY_LM.M to define the source
%  scenario. To change set-up just modify the values inside [.].
%
%	Miguel Angel Lagunas		October 1995
%
%......................................................................
% 	Elevation of sources in degrees
souele=[0 -20];
%______________________________________________________________________
% 	Velocity in elevation. Degrees per snapshot
% mobiles
souelev=[-0.005 0.005];
% fijas
%souelev=[0 0];
%______________________________________________________________________
% 	Azimuth of sources in degrees
souazi=[0 0];
%______________________________________________________________________
% 	azimuth velocity in degrees per snapshot
souaziv=[0 0];
%______________________________________________________________________
% 	baseband frequency of the sources >0 and <0.5
%	Always narrowband sources assumed. Set the same frequency here
%	for coherent sources.
% incoherentes
fresou=[0.25 0.1123];
% coherentes
%fresou=[0.25 0.25];
nana=length(fresou);
%______________________________________________________________________
%	check for coherent sources and display in the command window
for i=1:nana;
  for j=i+1:nana;
    if i==j;
      kk=0;
    else;
      if fresou(i)==fresou(j);
        s=[' WAR source ' num2str(i) ' is coherent with source ' num2str(j)];
        disp(s);
      end;
    end;
  end;
end;
clear nana kk;
%______________________________________________________________________
% 	source level in db.
soulev=[10 10];
%______________________________________________________________________
%	chek values
inp=1;ns=length(souele);
for i=1:ns;
  if souele(i)>90;
    disp('revise elevation angles of sources -90<.<90');inp=0;
  elseif souele(i)<-90;
    disp('revise elevation angles of sources -90<.<90');inp=0;
  end;
  if souazi(i)>360;
    disp('revise source azimuths 0<.<360');inp=0;
  elseif souazi<0;
    disp('revise source azimuths 0<.<360');inp=0;
  end;
  if fresou(i)<0;
    disp('frequency of sources 0<.<0.5');inp=0;
  elseif fresou(i)>0.5;
    disp('frequency of sources 0<.<0.5');inp=0;
  end;
end;
if inp==0;
	disp('ERROR: program stop, revise sou_lm.m file');break;
end;